Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface ComboBoxEditor

All Known Implementing Classes:
  BasicComboBoxEditor

public interface ComboBoxEditor

The editor component used for JComboBox components.

Method Summary
`void` | `addActionListener(ActionListener l)` Add an ActionListener.
`Component` | `getEditorComponent()` Return the component that should be added to the tree hierarchy for this editor
`Object` | `getItem()` Return the edited item
`void` | `removeActionListener(ActionListener l)` Remove an ActionListener
`void` | `selectAll()` Ask the editor to start editing and to select everything
`void` | `setItem(Object anObject)` Set the item that should be edited.

Method Detail

### getEditorComponent

    public Component getEditorComponent()

  Return the component that should be added to the tree hierarchy for this editor

### setItem

    public void setItem(Object anObject)

  Set the item that should be edited. Cancel any editing if necessary

### getItem

    public Object getItem()

  Return the edited item

### selectAll

    public void selectAll()

  Ask the editor to start editing and to select everything

### addActionListener

    public void addActionListener(ActionListener l)

  Add an ActionListener. An action event is generated when the edited item changes

### removeActionListener

    public void removeActionListener(ActionListener l)

  Remove an ActionListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.